function []=plot_v(b,meshsize,color)

% Sine plot

mesh=(0:meshsize)*pi/meshsize;

plot(mesh,equilibrium(b,mesh),'Color',color,'LineWidth',3)
end

function [equi]=equilibrium(b,x)
m=length(b);
sum=0;
for k=1:m-1
    sum=sum+b(k+1,1)*sin(k*x);
end
equi=b(1,1)-2*sum;
end