function []=plot_u(a,meshsize,color)

% Cosine plot

mesh=(0:meshsize)*pi/meshsize;

plot(mesh,equilibrium(a,mesh),'Color',color,'LineWidth',3)

end

function [equi]=equilibrium(a,x)
m=length(a);
sum=0;
for k=1:m-1
    sum=sum+a(k+1,1)*cos(k*x);
end
equi=a(1,1)+2*sum;
end